package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 综合规划客户表
 *
 * @author xcj
 * synthesis_plan_client
 */
public class SynthesisPlanClient {
    @ApiModelProperty("学生客户id")
    private String stuClientId;

    @ApiModelProperty("案例id")
    private String caseid;

    @ApiModelProperty("用户id")
    private String userid;

    @ApiModelProperty("schoolID/99999999")
    private String source;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("客户编号")
    private String clientNumber;

    @ApiModelProperty("建议书名称")
    private String proposalName;

    @ApiModelProperty("建议书编号")
    private String proposalNumber;

    @ApiModelProperty("领取状态 true/为空")
    private String getStatus;

    @ApiModelProperty("领取/编辑时间")
    private Date getTime;

    @ApiModelProperty("客户姓名")
    private String name;

    @ApiModelProperty("姓名拼音")
    private String namepy;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("年收入")
    private BigDecimal yearIncome;

    @ApiModelProperty("身份证")
    private String idcard;

    @ApiModelProperty("手机")
    private String phoneNumber;

    @ApiModelProperty("职务")
    private String job;

    @ApiModelProperty("通讯地址")
    private String addr;

    @ApiModelProperty("电话")
    private String telephone;

    @ApiModelProperty("邮箱")
    private String email;

    @ApiModelProperty("工作单位")
    private String jobPlace;

    @ApiModelProperty("理财类型")
    private String manageMoneyMattersType;

    @ApiModelProperty("提交状态 未提交/已审核/未审核")
    private String submitStatus;

    @ApiModelProperty("实训时长")
    private BigDecimal useTime;

    @ApiModelProperty("学校id 学生跟踪时添加")
    private String schoolId;

    public String getStuClientId() {
        return stuClientId;
    }

    public void setStuClientId(String stuClientId) {
        this.stuClientId = stuClientId == null ? null : stuClientId.trim();
    }

    public String getCaseid() {
        return caseid;
    }

    public void setCaseid(String caseid) {
        this.caseid = caseid == null ? null : caseid.trim();
    }

    public String getUserid() {
        return userid;
    }

    public void setUserid(String userid) {
        this.userid = userid == null ? null : userid.trim();
    }

    public String getSource() {
        return source;
    }

    public void setSource(String source) {
        this.source = source == null ? null : source.trim();
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getClientNumber() {
        return clientNumber;
    }

    public void setClientNumber(String clientNumber) {
        this.clientNumber = clientNumber == null ? null : clientNumber.trim();
    }

    public String getProposalName() {
        return proposalName;
    }

    public void setProposalName(String proposalName) {
        this.proposalName = proposalName == null ? null : proposalName.trim();
    }

    public String getProposalNumber() {
        return proposalNumber;
    }

    public void setProposalNumber(String proposalNumber) {
        this.proposalNumber = proposalNumber == null ? null : proposalNumber.trim();
    }

    public String getGetStatus() {
        return getStatus;
    }

    public void setGetStatus(String getStatus) {
        this.getStatus = getStatus == null ? null : getStatus.trim();
    }

    public Date getGetTime() {
        return getTime;
    }

    public void setGetTime(Date getTime) {
        this.getTime = getTime;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name == null ? null : name.trim();
    }

    public String getNamepy() {
        return namepy;
    }

    public void setNamepy(String namepy) {
        this.namepy = namepy == null ? null : namepy.trim();
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public BigDecimal getYearIncome() {
        return yearIncome;
    }

    public void setYearIncome(BigDecimal yearIncome) {
        this.yearIncome = yearIncome;
    }

    public String getIdcard() {
        return idcard;
    }

    public void setIdcard(String idcard) {
        this.idcard = idcard == null ? null : idcard.trim();
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber == null ? null : phoneNumber.trim();
    }

    public String getJob() {
        return job;
    }

    public void setJob(String job) {
        this.job = job == null ? null : job.trim();
    }

    public String getAddr() {
        return addr;
    }

    public void setAddr(String addr) {
        this.addr = addr == null ? null : addr.trim();
    }

    public String getTelephone() {
        return telephone;
    }

    public void setTelephone(String telephone) {
        this.telephone = telephone == null ? null : telephone.trim();
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email == null ? null : email.trim();
    }

    public String getJobPlace() {
        return jobPlace;
    }

    public void setJobPlace(String jobPlace) {
        this.jobPlace = jobPlace == null ? null : jobPlace.trim();
    }

    public String getManageMoneyMattersType() {
        return manageMoneyMattersType;
    }

    public void setManageMoneyMattersType(String manageMoneyMattersType) {
        this.manageMoneyMattersType = manageMoneyMattersType == null ? null : manageMoneyMattersType.trim();
    }

    public String getSubmitStatus() {
        return submitStatus;
    }

    public void setSubmitStatus(String submitStatus) {
        this.submitStatus = submitStatus == null ? null : submitStatus.trim();
    }

    public BigDecimal getUseTime() {
        return useTime;
    }

    public void setUseTime(BigDecimal useTime) {
        this.useTime = useTime;
    }

    public String getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(String schoolId) {
        this.schoolId = schoolId == null ? null : schoolId.trim();
    }
}