package com.sztzjy.money_management.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

@Data
@NoArgsConstructor
public class StuSynthesisPlanScoreDto {
    @ApiModelProperty("学习项目")
    private String name;

    @ApiModelProperty("实训时长")
    private BigDecimal useTime;

    @ApiModelProperty("实训总分/暂不用")
    private BigDecimal trainingTotalScore;

    @ApiModelProperty("成绩权重/暂不用")
    private BigDecimal scoreWight;

    @ApiModelProperty("完成情况")
    private String finishStatus;

    @ApiModelProperty("实训得分")
    private BigDecimal trainingScore;

    @ApiModelProperty("实训满分")
    private BigDecimal trainingFullScore;

    @ApiModelProperty("实训成绩")
    private BigDecimal stuScore;

    @ApiModelProperty("caseId")
    private String caseId;

}
