package com.sztzjy.money_management.entity.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
@Data
public class TeaClassScoreDto {
    @ApiModelProperty("学校ID")
    private String schoolId;

    @ApiModelProperty("班级ID")
    private String classId;

    @ApiModelProperty("班级名称")
    private String className;

    @ApiModelProperty("优秀人数")
    private Integer excellentCount;

    @ApiModelProperty("良好人数")
    private Integer goodCount;

    @ApiModelProperty("一般人数")
    private Integer generalCount;

    @ApiModelProperty("不及格人数")
    private Integer failCount;

    @ApiModelProperty("最高分")
    private BigDecimal maxScore;

    @ApiModelProperty("最低分")
    private BigDecimal minScore;

    @ApiModelProperty("平均分")
    private BigDecimal averageScore;

    @ApiModelProperty("得分日期")
    private String startTime;
}
