package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;

public class CaseInsurancePlanExample {
    protected String orderByClause;

    protected boolean distinct;

    protected List<Criteria> oredCriteria;

    public CaseInsurancePlanExample() {
        oredCriteria = new ArrayList<>();
    }

    public void setOrderByClause(String orderByClause) {
        this.orderByClause = orderByClause;
    }

    public String getOrderByClause() {
        return orderByClause;
    }

    public void setDistinct(boolean distinct) {
        this.distinct = distinct;
    }

    public boolean isDistinct() {
        return distinct;
    }

    public List<Criteria> getOredCriteria() {
        return oredCriteria;
    }

    public void or(Criteria criteria) {
        oredCriteria.add(criteria);
    }

    public Criteria or() {
        Criteria criteria = createCriteriaInternal();
        oredCriteria.add(criteria);
        return criteria;
    }

    public Criteria createCriteria() {
        Criteria criteria = createCriteriaInternal();
        if (oredCriteria.size() == 0) {
            oredCriteria.add(criteria);
        }
        return criteria;
    }

    protected Criteria createCriteriaInternal() {
        Criteria criteria = new Criteria();
        return criteria;
    }

    public void clear() {
        oredCriteria.clear();
        orderByClause = null;
        distinct = false;
    }

    protected abstract static class GeneratedCriteria {
        protected List<Criterion> criteria;

        protected GeneratedCriteria() {
            super();
            criteria = new ArrayList<>();
        }

        public boolean isValid() {
            return criteria.size() > 0;
        }

        public List<Criterion> getAllCriteria() {
            return criteria;
        }

        public List<Criterion> getCriteria() {
            return criteria;
        }

        protected void addCriterion(String condition) {
            if (condition == null) {
                throw new RuntimeException("Value for condition cannot be null");
            }
            criteria.add(new Criterion(condition));
        }

        protected void addCriterion(String condition, Object value, String property) {
            if (value == null) {
                throw new RuntimeException("Value for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value));
        }

        protected void addCriterion(String condition, Object value1, Object value2, String property) {
            if (value1 == null || value2 == null) {
                throw new RuntimeException("Between values for " + property + " cannot be null");
            }
            criteria.add(new Criterion(condition, value1, value2));
        }

        public Criteria andCaseInsurancePlanIdIsNull() {
            addCriterion("case_insurance_plan_id is null");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdIsNotNull() {
            addCriterion("case_insurance_plan_id is not null");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdEqualTo(String value) {
            addCriterion("case_insurance_plan_id =", value, "caseInsurancePlanId");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdNotEqualTo(String value) {
            addCriterion("case_insurance_plan_id <>", value, "caseInsurancePlanId");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdGreaterThan(String value) {
            addCriterion("case_insurance_plan_id >", value, "caseInsurancePlanId");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdGreaterThanOrEqualTo(String value) {
            addCriterion("case_insurance_plan_id >=", value, "caseInsurancePlanId");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdLessThan(String value) {
            addCriterion("case_insurance_plan_id <", value, "caseInsurancePlanId");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdLessThanOrEqualTo(String value) {
            addCriterion("case_insurance_plan_id <=", value, "caseInsurancePlanId");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdLike(String value) {
            addCriterion("case_insurance_plan_id like", value, "caseInsurancePlanId");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdNotLike(String value) {
            addCriterion("case_insurance_plan_id not like", value, "caseInsurancePlanId");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdIn(List<String> values) {
            addCriterion("case_insurance_plan_id in", values, "caseInsurancePlanId");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdNotIn(List<String> values) {
            addCriterion("case_insurance_plan_id not in", values, "caseInsurancePlanId");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdBetween(String value1, String value2) {
            addCriterion("case_insurance_plan_id between", value1, value2, "caseInsurancePlanId");
            return (Criteria) this;
        }

        public Criteria andCaseInsurancePlanIdNotBetween(String value1, String value2) {
            addCriterion("case_insurance_plan_id not between", value1, value2, "caseInsurancePlanId");
            return (Criteria) this;
        }

        public Criteria andCaseidIsNull() {
            addCriterion("caseid is null");
            return (Criteria) this;
        }

        public Criteria andCaseidIsNotNull() {
            addCriterion("caseid is not null");
            return (Criteria) this;
        }

        public Criteria andCaseidEqualTo(String value) {
            addCriterion("caseid =", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidNotEqualTo(String value) {
            addCriterion("caseid <>", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidGreaterThan(String value) {
            addCriterion("caseid >", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidGreaterThanOrEqualTo(String value) {
            addCriterion("caseid >=", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidLessThan(String value) {
            addCriterion("caseid <", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidLessThanOrEqualTo(String value) {
            addCriterion("caseid <=", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidLike(String value) {
            addCriterion("caseid like", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidNotLike(String value) {
            addCriterion("caseid not like", value, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidIn(List<String> values) {
            addCriterion("caseid in", values, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidNotIn(List<String> values) {
            addCriterion("caseid not in", values, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidBetween(String value1, String value2) {
            addCriterion("caseid between", value1, value2, "caseid");
            return (Criteria) this;
        }

        public Criteria andCaseidNotBetween(String value1, String value2) {
            addCriterion("caseid not between", value1, value2, "caseid");
            return (Criteria) this;
        }

        public Criteria andSpouseNameIsNull() {
            addCriterion("spouse_name is null");
            return (Criteria) this;
        }

        public Criteria andSpouseNameIsNotNull() {
            addCriterion("spouse_name is not null");
            return (Criteria) this;
        }

        public Criteria andSpouseNameEqualTo(String value) {
            addCriterion("spouse_name =", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameNotEqualTo(String value) {
            addCriterion("spouse_name <>", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameGreaterThan(String value) {
            addCriterion("spouse_name >", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameGreaterThanOrEqualTo(String value) {
            addCriterion("spouse_name >=", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameLessThan(String value) {
            addCriterion("spouse_name <", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameLessThanOrEqualTo(String value) {
            addCriterion("spouse_name <=", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameLike(String value) {
            addCriterion("spouse_name like", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameNotLike(String value) {
            addCriterion("spouse_name not like", value, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameIn(List<String> values) {
            addCriterion("spouse_name in", values, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameNotIn(List<String> values) {
            addCriterion("spouse_name not in", values, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameBetween(String value1, String value2) {
            addCriterion("spouse_name between", value1, value2, "spouseName");
            return (Criteria) this;
        }

        public Criteria andSpouseNameNotBetween(String value1, String value2) {
            addCriterion("spouse_name not between", value1, value2, "spouseName");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdIsNull() {
            addCriterion("method_type_id is null");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdIsNotNull() {
            addCriterion("method_type_id is not null");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdEqualTo(String value) {
            addCriterion("method_type_id =", value, "methodTypeId");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdNotEqualTo(String value) {
            addCriterion("method_type_id <>", value, "methodTypeId");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdGreaterThan(String value) {
            addCriterion("method_type_id >", value, "methodTypeId");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdGreaterThanOrEqualTo(String value) {
            addCriterion("method_type_id >=", value, "methodTypeId");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdLessThan(String value) {
            addCriterion("method_type_id <", value, "methodTypeId");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdLessThanOrEqualTo(String value) {
            addCriterion("method_type_id <=", value, "methodTypeId");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdLike(String value) {
            addCriterion("method_type_id like", value, "methodTypeId");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdNotLike(String value) {
            addCriterion("method_type_id not like", value, "methodTypeId");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdIn(List<String> values) {
            addCriterion("method_type_id in", values, "methodTypeId");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdNotIn(List<String> values) {
            addCriterion("method_type_id not in", values, "methodTypeId");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdBetween(String value1, String value2) {
            addCriterion("method_type_id between", value1, value2, "methodTypeId");
            return (Criteria) this;
        }

        public Criteria andMethodTypeIdNotBetween(String value1, String value2) {
            addCriterion("method_type_id not between", value1, value2, "methodTypeId");
            return (Criteria) this;
        }

        public Criteria andAgebIsNull() {
            addCriterion("ageB is null");
            return (Criteria) this;
        }

        public Criteria andAgebIsNotNull() {
            addCriterion("ageB is not null");
            return (Criteria) this;
        }

        public Criteria andAgebEqualTo(Integer value) {
            addCriterion("ageB =", value, "ageb");
            return (Criteria) this;
        }

        public Criteria andAgebNotEqualTo(Integer value) {
            addCriterion("ageB <>", value, "ageb");
            return (Criteria) this;
        }

        public Criteria andAgebGreaterThan(Integer value) {
            addCriterion("ageB >", value, "ageb");
            return (Criteria) this;
        }

        public Criteria andAgebGreaterThanOrEqualTo(Integer value) {
            addCriterion("ageB >=", value, "ageb");
            return (Criteria) this;
        }

        public Criteria andAgebLessThan(Integer value) {
            addCriterion("ageB <", value, "ageb");
            return (Criteria) this;
        }

        public Criteria andAgebLessThanOrEqualTo(Integer value) {
            addCriterion("ageB <=", value, "ageb");
            return (Criteria) this;
        }

        public Criteria andAgebIn(List<Integer> values) {
            addCriterion("ageB in", values, "ageb");
            return (Criteria) this;
        }

        public Criteria andAgebNotIn(List<Integer> values) {
            addCriterion("ageB not in", values, "ageb");
            return (Criteria) this;
        }

        public Criteria andAgebBetween(Integer value1, Integer value2) {
            addCriterion("ageB between", value1, value2, "ageb");
            return (Criteria) this;
        }

        public Criteria andAgebNotBetween(Integer value1, Integer value2) {
            addCriterion("ageB not between", value1, value2, "ageb");
            return (Criteria) this;
        }

        public Criteria andAgecIsNull() {
            addCriterion("ageC is null");
            return (Criteria) this;
        }

        public Criteria andAgecIsNotNull() {
            addCriterion("ageC is not null");
            return (Criteria) this;
        }

        public Criteria andAgecEqualTo(Integer value) {
            addCriterion("ageC =", value, "agec");
            return (Criteria) this;
        }

        public Criteria andAgecNotEqualTo(Integer value) {
            addCriterion("ageC <>", value, "agec");
            return (Criteria) this;
        }

        public Criteria andAgecGreaterThan(Integer value) {
            addCriterion("ageC >", value, "agec");
            return (Criteria) this;
        }

        public Criteria andAgecGreaterThanOrEqualTo(Integer value) {
            addCriterion("ageC >=", value, "agec");
            return (Criteria) this;
        }

        public Criteria andAgecLessThan(Integer value) {
            addCriterion("ageC <", value, "agec");
            return (Criteria) this;
        }

        public Criteria andAgecLessThanOrEqualTo(Integer value) {
            addCriterion("ageC <=", value, "agec");
            return (Criteria) this;
        }

        public Criteria andAgecIn(List<Integer> values) {
            addCriterion("ageC in", values, "agec");
            return (Criteria) this;
        }

        public Criteria andAgecNotIn(List<Integer> values) {
            addCriterion("ageC not in", values, "agec");
            return (Criteria) this;
        }

        public Criteria andAgecBetween(Integer value1, Integer value2) {
            addCriterion("ageC between", value1, value2, "agec");
            return (Criteria) this;
        }

        public Criteria andAgecNotBetween(Integer value1, Integer value2) {
            addCriterion("ageC not between", value1, value2, "agec");
            return (Criteria) this;
        }

        public Criteria andRetirementAgebIsNull() {
            addCriterion("retirement_ageB is null");
            return (Criteria) this;
        }

        public Criteria andRetirementAgebIsNotNull() {
            addCriterion("retirement_ageB is not null");
            return (Criteria) this;
        }

        public Criteria andRetirementAgebEqualTo(Integer value) {
            addCriterion("retirement_ageB =", value, "retirementAgeb");
            return (Criteria) this;
        }

        public Criteria andRetirementAgebNotEqualTo(Integer value) {
            addCriterion("retirement_ageB <>", value, "retirementAgeb");
            return (Criteria) this;
        }

        public Criteria andRetirementAgebGreaterThan(Integer value) {
            addCriterion("retirement_ageB >", value, "retirementAgeb");
            return (Criteria) this;
        }

        public Criteria andRetirementAgebGreaterThanOrEqualTo(Integer value) {
            addCriterion("retirement_ageB >=", value, "retirementAgeb");
            return (Criteria) this;
        }

        public Criteria andRetirementAgebLessThan(Integer value) {
            addCriterion("retirement_ageB <", value, "retirementAgeb");
            return (Criteria) this;
        }

        public Criteria andRetirementAgebLessThanOrEqualTo(Integer value) {
            addCriterion("retirement_ageB <=", value, "retirementAgeb");
            return (Criteria) this;
        }

        public Criteria andRetirementAgebIn(List<Integer> values) {
            addCriterion("retirement_ageB in", values, "retirementAgeb");
            return (Criteria) this;
        }

        public Criteria andRetirementAgebNotIn(List<Integer> values) {
            addCriterion("retirement_ageB not in", values, "retirementAgeb");
            return (Criteria) this;
        }

        public Criteria andRetirementAgebBetween(Integer value1, Integer value2) {
            addCriterion("retirement_ageB between", value1, value2, "retirementAgeb");
            return (Criteria) this;
        }

        public Criteria andRetirementAgebNotBetween(Integer value1, Integer value2) {
            addCriterion("retirement_ageB not between", value1, value2, "retirementAgeb");
            return (Criteria) this;
        }

        public Criteria andRetirementAgecIsNull() {
            addCriterion("retirement_ageC is null");
            return (Criteria) this;
        }

        public Criteria andRetirementAgecIsNotNull() {
            addCriterion("retirement_ageC is not null");
            return (Criteria) this;
        }

        public Criteria andRetirementAgecEqualTo(Integer value) {
            addCriterion("retirement_ageC =", value, "retirementAgec");
            return (Criteria) this;
        }

        public Criteria andRetirementAgecNotEqualTo(Integer value) {
            addCriterion("retirement_ageC <>", value, "retirementAgec");
            return (Criteria) this;
        }

        public Criteria andRetirementAgecGreaterThan(Integer value) {
            addCriterion("retirement_ageC >", value, "retirementAgec");
            return (Criteria) this;
        }

        public Criteria andRetirementAgecGreaterThanOrEqualTo(Integer value) {
            addCriterion("retirement_ageC >=", value, "retirementAgec");
            return (Criteria) this;
        }

        public Criteria andRetirementAgecLessThan(Integer value) {
            addCriterion("retirement_ageC <", value, "retirementAgec");
            return (Criteria) this;
        }

        public Criteria andRetirementAgecLessThanOrEqualTo(Integer value) {
            addCriterion("retirement_ageC <=", value, "retirementAgec");
            return (Criteria) this;
        }

        public Criteria andRetirementAgecIn(List<Integer> values) {
            addCriterion("retirement_ageC in", values, "retirementAgec");
            return (Criteria) this;
        }

        public Criteria andRetirementAgecNotIn(List<Integer> values) {
            addCriterion("retirement_ageC not in", values, "retirementAgec");
            return (Criteria) this;
        }

        public Criteria andRetirementAgecBetween(Integer value1, Integer value2) {
            addCriterion("retirement_ageC between", value1, value2, "retirementAgec");
            return (Criteria) this;
        }

        public Criteria andRetirementAgecNotBetween(Integer value1, Integer value2) {
            addCriterion("retirement_ageC not between", value1, value2, "retirementAgec");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentbIsNull() {
            addCriterion("return_on_investmentB is null");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentbIsNotNull() {
            addCriterion("return_on_investmentB is not null");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentbEqualTo(BigDecimal value) {
            addCriterion("return_on_investmentB =", value, "returnOnInvestmentb");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentbNotEqualTo(BigDecimal value) {
            addCriterion("return_on_investmentB <>", value, "returnOnInvestmentb");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentbGreaterThan(BigDecimal value) {
            addCriterion("return_on_investmentB >", value, "returnOnInvestmentb");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentbGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("return_on_investmentB >=", value, "returnOnInvestmentb");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentbLessThan(BigDecimal value) {
            addCriterion("return_on_investmentB <", value, "returnOnInvestmentb");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentbLessThanOrEqualTo(BigDecimal value) {
            addCriterion("return_on_investmentB <=", value, "returnOnInvestmentb");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentbIn(List<BigDecimal> values) {
            addCriterion("return_on_investmentB in", values, "returnOnInvestmentb");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentbNotIn(List<BigDecimal> values) {
            addCriterion("return_on_investmentB not in", values, "returnOnInvestmentb");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentbBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("return_on_investmentB between", value1, value2, "returnOnInvestmentb");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentbNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("return_on_investmentB not between", value1, value2, "returnOnInvestmentb");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentcIsNull() {
            addCriterion("return_on_investmentC is null");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentcIsNotNull() {
            addCriterion("return_on_investmentC is not null");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentcEqualTo(BigDecimal value) {
            addCriterion("return_on_investmentC =", value, "returnOnInvestmentc");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentcNotEqualTo(BigDecimal value) {
            addCriterion("return_on_investmentC <>", value, "returnOnInvestmentc");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentcGreaterThan(BigDecimal value) {
            addCriterion("return_on_investmentC >", value, "returnOnInvestmentc");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentcGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("return_on_investmentC >=", value, "returnOnInvestmentc");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentcLessThan(BigDecimal value) {
            addCriterion("return_on_investmentC <", value, "returnOnInvestmentc");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentcLessThanOrEqualTo(BigDecimal value) {
            addCriterion("return_on_investmentC <=", value, "returnOnInvestmentc");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentcIn(List<BigDecimal> values) {
            addCriterion("return_on_investmentC in", values, "returnOnInvestmentc");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentcNotIn(List<BigDecimal> values) {
            addCriterion("return_on_investmentC not in", values, "returnOnInvestmentc");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentcBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("return_on_investmentC between", value1, value2, "returnOnInvestmentc");
            return (Criteria) this;
        }

        public Criteria andReturnOnInvestmentcNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("return_on_investmentC not between", value1, value2, "returnOnInvestmentc");
            return (Criteria) this;
        }

        public Criteria andInflationRatebIsNull() {
            addCriterion("inflation_rateB is null");
            return (Criteria) this;
        }

        public Criteria andInflationRatebIsNotNull() {
            addCriterion("inflation_rateB is not null");
            return (Criteria) this;
        }

        public Criteria andInflationRatebEqualTo(BigDecimal value) {
            addCriterion("inflation_rateB =", value, "inflationRateb");
            return (Criteria) this;
        }

        public Criteria andInflationRatebNotEqualTo(BigDecimal value) {
            addCriterion("inflation_rateB <>", value, "inflationRateb");
            return (Criteria) this;
        }

        public Criteria andInflationRatebGreaterThan(BigDecimal value) {
            addCriterion("inflation_rateB >", value, "inflationRateb");
            return (Criteria) this;
        }

        public Criteria andInflationRatebGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("inflation_rateB >=", value, "inflationRateb");
            return (Criteria) this;
        }

        public Criteria andInflationRatebLessThan(BigDecimal value) {
            addCriterion("inflation_rateB <", value, "inflationRateb");
            return (Criteria) this;
        }

        public Criteria andInflationRatebLessThanOrEqualTo(BigDecimal value) {
            addCriterion("inflation_rateB <=", value, "inflationRateb");
            return (Criteria) this;
        }

        public Criteria andInflationRatebIn(List<BigDecimal> values) {
            addCriterion("inflation_rateB in", values, "inflationRateb");
            return (Criteria) this;
        }

        public Criteria andInflationRatebNotIn(List<BigDecimal> values) {
            addCriterion("inflation_rateB not in", values, "inflationRateb");
            return (Criteria) this;
        }

        public Criteria andInflationRatebBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("inflation_rateB between", value1, value2, "inflationRateb");
            return (Criteria) this;
        }

        public Criteria andInflationRatebNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("inflation_rateB not between", value1, value2, "inflationRateb");
            return (Criteria) this;
        }

        public Criteria andInflationRatecIsNull() {
            addCriterion("inflation_rateC is null");
            return (Criteria) this;
        }

        public Criteria andInflationRatecIsNotNull() {
            addCriterion("inflation_rateC is not null");
            return (Criteria) this;
        }

        public Criteria andInflationRatecEqualTo(BigDecimal value) {
            addCriterion("inflation_rateC =", value, "inflationRatec");
            return (Criteria) this;
        }

        public Criteria andInflationRatecNotEqualTo(BigDecimal value) {
            addCriterion("inflation_rateC <>", value, "inflationRatec");
            return (Criteria) this;
        }

        public Criteria andInflationRatecGreaterThan(BigDecimal value) {
            addCriterion("inflation_rateC >", value, "inflationRatec");
            return (Criteria) this;
        }

        public Criteria andInflationRatecGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("inflation_rateC >=", value, "inflationRatec");
            return (Criteria) this;
        }

        public Criteria andInflationRatecLessThan(BigDecimal value) {
            addCriterion("inflation_rateC <", value, "inflationRatec");
            return (Criteria) this;
        }

        public Criteria andInflationRatecLessThanOrEqualTo(BigDecimal value) {
            addCriterion("inflation_rateC <=", value, "inflationRatec");
            return (Criteria) this;
        }

        public Criteria andInflationRatecIn(List<BigDecimal> values) {
            addCriterion("inflation_rateC in", values, "inflationRatec");
            return (Criteria) this;
        }

        public Criteria andInflationRatecNotIn(List<BigDecimal> values) {
            addCriterion("inflation_rateC not in", values, "inflationRatec");
            return (Criteria) this;
        }

        public Criteria andInflationRatecBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("inflation_rateC between", value1, value2, "inflationRatec");
            return (Criteria) this;
        }

        public Criteria andInflationRatecNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("inflation_rateC not between", value1, value2, "inflationRatec");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthbIsNull() {
            addCriterion("revenue_growthB is null");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthbIsNotNull() {
            addCriterion("revenue_growthB is not null");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthbEqualTo(BigDecimal value) {
            addCriterion("revenue_growthB =", value, "revenueGrowthb");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthbNotEqualTo(BigDecimal value) {
            addCriterion("revenue_growthB <>", value, "revenueGrowthb");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthbGreaterThan(BigDecimal value) {
            addCriterion("revenue_growthB >", value, "revenueGrowthb");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthbGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("revenue_growthB >=", value, "revenueGrowthb");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthbLessThan(BigDecimal value) {
            addCriterion("revenue_growthB <", value, "revenueGrowthb");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthbLessThanOrEqualTo(BigDecimal value) {
            addCriterion("revenue_growthB <=", value, "revenueGrowthb");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthbIn(List<BigDecimal> values) {
            addCriterion("revenue_growthB in", values, "revenueGrowthb");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthbNotIn(List<BigDecimal> values) {
            addCriterion("revenue_growthB not in", values, "revenueGrowthb");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthbBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("revenue_growthB between", value1, value2, "revenueGrowthb");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthbNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("revenue_growthB not between", value1, value2, "revenueGrowthb");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthcIsNull() {
            addCriterion("revenue_growthC is null");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthcIsNotNull() {
            addCriterion("revenue_growthC is not null");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthcEqualTo(BigDecimal value) {
            addCriterion("revenue_growthC =", value, "revenueGrowthc");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthcNotEqualTo(BigDecimal value) {
            addCriterion("revenue_growthC <>", value, "revenueGrowthc");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthcGreaterThan(BigDecimal value) {
            addCriterion("revenue_growthC >", value, "revenueGrowthc");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthcGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("revenue_growthC >=", value, "revenueGrowthc");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthcLessThan(BigDecimal value) {
            addCriterion("revenue_growthC <", value, "revenueGrowthc");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthcLessThanOrEqualTo(BigDecimal value) {
            addCriterion("revenue_growthC <=", value, "revenueGrowthc");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthcIn(List<BigDecimal> values) {
            addCriterion("revenue_growthC in", values, "revenueGrowthc");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthcNotIn(List<BigDecimal> values) {
            addCriterion("revenue_growthC not in", values, "revenueGrowthc");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthcBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("revenue_growthC between", value1, value2, "revenueGrowthc");
            return (Criteria) this;
        }

        public Criteria andRevenueGrowthcNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("revenue_growthC not between", value1, value2, "revenueGrowthc");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeebIsNull() {
            addCriterion("matrimonial_feeB is null");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeebIsNotNull() {
            addCriterion("matrimonial_feeB is not null");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeebEqualTo(BigDecimal value) {
            addCriterion("matrimonial_feeB =", value, "matrimonialFeeb");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeebNotEqualTo(BigDecimal value) {
            addCriterion("matrimonial_feeB <>", value, "matrimonialFeeb");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeebGreaterThan(BigDecimal value) {
            addCriterion("matrimonial_feeB >", value, "matrimonialFeeb");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeebGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("matrimonial_feeB >=", value, "matrimonialFeeb");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeebLessThan(BigDecimal value) {
            addCriterion("matrimonial_feeB <", value, "matrimonialFeeb");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeebLessThanOrEqualTo(BigDecimal value) {
            addCriterion("matrimonial_feeB <=", value, "matrimonialFeeb");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeebIn(List<BigDecimal> values) {
            addCriterion("matrimonial_feeB in", values, "matrimonialFeeb");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeebNotIn(List<BigDecimal> values) {
            addCriterion("matrimonial_feeB not in", values, "matrimonialFeeb");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeebBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("matrimonial_feeB between", value1, value2, "matrimonialFeeb");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeebNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("matrimonial_feeB not between", value1, value2, "matrimonialFeeb");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeecIsNull() {
            addCriterion("matrimonial_feeC is null");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeecIsNotNull() {
            addCriterion("matrimonial_feeC is not null");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeecEqualTo(BigDecimal value) {
            addCriterion("matrimonial_feeC =", value, "matrimonialFeec");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeecNotEqualTo(BigDecimal value) {
            addCriterion("matrimonial_feeC <>", value, "matrimonialFeec");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeecGreaterThan(BigDecimal value) {
            addCriterion("matrimonial_feeC >", value, "matrimonialFeec");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeecGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("matrimonial_feeC >=", value, "matrimonialFeec");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeecLessThan(BigDecimal value) {
            addCriterion("matrimonial_feeC <", value, "matrimonialFeec");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeecLessThanOrEqualTo(BigDecimal value) {
            addCriterion("matrimonial_feeC <=", value, "matrimonialFeec");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeecIn(List<BigDecimal> values) {
            addCriterion("matrimonial_feeC in", values, "matrimonialFeec");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeecNotIn(List<BigDecimal> values) {
            addCriterion("matrimonial_feeC not in", values, "matrimonialFeec");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeecBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("matrimonial_feeC between", value1, value2, "matrimonialFeec");
            return (Criteria) this;
        }

        public Criteria andMatrimonialFeecNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("matrimonial_feeC not between", value1, value2, "matrimonialFeec");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatebIsNull() {
            addCriterion("after_accident_rateB is null");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatebIsNotNull() {
            addCriterion("after_accident_rateB is not null");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatebEqualTo(BigDecimal value) {
            addCriterion("after_accident_rateB =", value, "afterAccidentRateb");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatebNotEqualTo(BigDecimal value) {
            addCriterion("after_accident_rateB <>", value, "afterAccidentRateb");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatebGreaterThan(BigDecimal value) {
            addCriterion("after_accident_rateB >", value, "afterAccidentRateb");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatebGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("after_accident_rateB >=", value, "afterAccidentRateb");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatebLessThan(BigDecimal value) {
            addCriterion("after_accident_rateB <", value, "afterAccidentRateb");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatebLessThanOrEqualTo(BigDecimal value) {
            addCriterion("after_accident_rateB <=", value, "afterAccidentRateb");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatebIn(List<BigDecimal> values) {
            addCriterion("after_accident_rateB in", values, "afterAccidentRateb");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatebNotIn(List<BigDecimal> values) {
            addCriterion("after_accident_rateB not in", values, "afterAccidentRateb");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatebBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("after_accident_rateB between", value1, value2, "afterAccidentRateb");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatebNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("after_accident_rateB not between", value1, value2, "afterAccidentRateb");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatecIsNull() {
            addCriterion("after_accident_rateC is null");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatecIsNotNull() {
            addCriterion("after_accident_rateC is not null");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatecEqualTo(BigDecimal value) {
            addCriterion("after_accident_rateC =", value, "afterAccidentRatec");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatecNotEqualTo(BigDecimal value) {
            addCriterion("after_accident_rateC <>", value, "afterAccidentRatec");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatecGreaterThan(BigDecimal value) {
            addCriterion("after_accident_rateC >", value, "afterAccidentRatec");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatecGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("after_accident_rateC >=", value, "afterAccidentRatec");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatecLessThan(BigDecimal value) {
            addCriterion("after_accident_rateC <", value, "afterAccidentRatec");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatecLessThanOrEqualTo(BigDecimal value) {
            addCriterion("after_accident_rateC <=", value, "afterAccidentRatec");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatecIn(List<BigDecimal> values) {
            addCriterion("after_accident_rateC in", values, "afterAccidentRatec");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatecNotIn(List<BigDecimal> values) {
            addCriterion("after_accident_rateC not in", values, "afterAccidentRatec");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatecBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("after_accident_rateC between", value1, value2, "afterAccidentRatec");
            return (Criteria) this;
        }

        public Criteria andAfterAccidentRatecNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("after_accident_rateC not between", value1, value2, "afterAccidentRatec");
            return (Criteria) this;
        }

        public Criteria andExpenditureIsNull() {
            addCriterion("expenditure is null");
            return (Criteria) this;
        }

        public Criteria andExpenditureIsNotNull() {
            addCriterion("expenditure is not null");
            return (Criteria) this;
        }

        public Criteria andExpenditureEqualTo(BigDecimal value) {
            addCriterion("expenditure =", value, "expenditure");
            return (Criteria) this;
        }

        public Criteria andExpenditureNotEqualTo(BigDecimal value) {
            addCriterion("expenditure <>", value, "expenditure");
            return (Criteria) this;
        }

        public Criteria andExpenditureGreaterThan(BigDecimal value) {
            addCriterion("expenditure >", value, "expenditure");
            return (Criteria) this;
        }

        public Criteria andExpenditureGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("expenditure >=", value, "expenditure");
            return (Criteria) this;
        }

        public Criteria andExpenditureLessThan(BigDecimal value) {
            addCriterion("expenditure <", value, "expenditure");
            return (Criteria) this;
        }

        public Criteria andExpenditureLessThanOrEqualTo(BigDecimal value) {
            addCriterion("expenditure <=", value, "expenditure");
            return (Criteria) this;
        }

        public Criteria andExpenditureIn(List<BigDecimal> values) {
            addCriterion("expenditure in", values, "expenditure");
            return (Criteria) this;
        }

        public Criteria andExpenditureNotIn(List<BigDecimal> values) {
            addCriterion("expenditure not in", values, "expenditure");
            return (Criteria) this;
        }

        public Criteria andExpenditureBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("expenditure between", value1, value2, "expenditure");
            return (Criteria) this;
        }

        public Criteria andExpenditureNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("expenditure not between", value1, value2, "expenditure");
            return (Criteria) this;
        }

        public Criteria andIncomebIsNull() {
            addCriterion("incomeB is null");
            return (Criteria) this;
        }

        public Criteria andIncomebIsNotNull() {
            addCriterion("incomeB is not null");
            return (Criteria) this;
        }

        public Criteria andIncomebEqualTo(BigDecimal value) {
            addCriterion("incomeB =", value, "incomeb");
            return (Criteria) this;
        }

        public Criteria andIncomebNotEqualTo(BigDecimal value) {
            addCriterion("incomeB <>", value, "incomeb");
            return (Criteria) this;
        }

        public Criteria andIncomebGreaterThan(BigDecimal value) {
            addCriterion("incomeB >", value, "incomeb");
            return (Criteria) this;
        }

        public Criteria andIncomebGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("incomeB >=", value, "incomeb");
            return (Criteria) this;
        }

        public Criteria andIncomebLessThan(BigDecimal value) {
            addCriterion("incomeB <", value, "incomeb");
            return (Criteria) this;
        }

        public Criteria andIncomebLessThanOrEqualTo(BigDecimal value) {
            addCriterion("incomeB <=", value, "incomeb");
            return (Criteria) this;
        }

        public Criteria andIncomebIn(List<BigDecimal> values) {
            addCriterion("incomeB in", values, "incomeb");
            return (Criteria) this;
        }

        public Criteria andIncomebNotIn(List<BigDecimal> values) {
            addCriterion("incomeB not in", values, "incomeb");
            return (Criteria) this;
        }

        public Criteria andIncomebBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("incomeB between", value1, value2, "incomeb");
            return (Criteria) this;
        }

        public Criteria andIncomebNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("incomeB not between", value1, value2, "incomeb");
            return (Criteria) this;
        }

        public Criteria andIncomecIsNull() {
            addCriterion("incomeC is null");
            return (Criteria) this;
        }

        public Criteria andIncomecIsNotNull() {
            addCriterion("incomeC is not null");
            return (Criteria) this;
        }

        public Criteria andIncomecEqualTo(BigDecimal value) {
            addCriterion("incomeC =", value, "incomec");
            return (Criteria) this;
        }

        public Criteria andIncomecNotEqualTo(BigDecimal value) {
            addCriterion("incomeC <>", value, "incomec");
            return (Criteria) this;
        }

        public Criteria andIncomecGreaterThan(BigDecimal value) {
            addCriterion("incomeC >", value, "incomec");
            return (Criteria) this;
        }

        public Criteria andIncomecGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("incomeC >=", value, "incomec");
            return (Criteria) this;
        }

        public Criteria andIncomecLessThan(BigDecimal value) {
            addCriterion("incomeC <", value, "incomec");
            return (Criteria) this;
        }

        public Criteria andIncomecLessThanOrEqualTo(BigDecimal value) {
            addCriterion("incomeC <=", value, "incomec");
            return (Criteria) this;
        }

        public Criteria andIncomecIn(List<BigDecimal> values) {
            addCriterion("incomeC in", values, "incomec");
            return (Criteria) this;
        }

        public Criteria andIncomecNotIn(List<BigDecimal> values) {
            addCriterion("incomeC not in", values, "incomec");
            return (Criteria) this;
        }

        public Criteria andIncomecBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("incomeC between", value1, value2, "incomec");
            return (Criteria) this;
        }

        public Criteria andIncomecNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("incomeC not between", value1, value2, "incomec");
            return (Criteria) this;
        }

        public Criteria andReserveFundbIsNull() {
            addCriterion("reserve_fundB is null");
            return (Criteria) this;
        }

        public Criteria andReserveFundbIsNotNull() {
            addCriterion("reserve_fundB is not null");
            return (Criteria) this;
        }

        public Criteria andReserveFundbEqualTo(BigDecimal value) {
            addCriterion("reserve_fundB =", value, "reserveFundb");
            return (Criteria) this;
        }

        public Criteria andReserveFundbNotEqualTo(BigDecimal value) {
            addCriterion("reserve_fundB <>", value, "reserveFundb");
            return (Criteria) this;
        }

        public Criteria andReserveFundbGreaterThan(BigDecimal value) {
            addCriterion("reserve_fundB >", value, "reserveFundb");
            return (Criteria) this;
        }

        public Criteria andReserveFundbGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("reserve_fundB >=", value, "reserveFundb");
            return (Criteria) this;
        }

        public Criteria andReserveFundbLessThan(BigDecimal value) {
            addCriterion("reserve_fundB <", value, "reserveFundb");
            return (Criteria) this;
        }

        public Criteria andReserveFundbLessThanOrEqualTo(BigDecimal value) {
            addCriterion("reserve_fundB <=", value, "reserveFundb");
            return (Criteria) this;
        }

        public Criteria andReserveFundbIn(List<BigDecimal> values) {
            addCriterion("reserve_fundB in", values, "reserveFundb");
            return (Criteria) this;
        }

        public Criteria andReserveFundbNotIn(List<BigDecimal> values) {
            addCriterion("reserve_fundB not in", values, "reserveFundb");
            return (Criteria) this;
        }

        public Criteria andReserveFundbBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("reserve_fundB between", value1, value2, "reserveFundb");
            return (Criteria) this;
        }

        public Criteria andReserveFundbNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("reserve_fundB not between", value1, value2, "reserveFundb");
            return (Criteria) this;
        }

        public Criteria andReserveFundcIsNull() {
            addCriterion("reserve_fundC is null");
            return (Criteria) this;
        }

        public Criteria andReserveFundcIsNotNull() {
            addCriterion("reserve_fundC is not null");
            return (Criteria) this;
        }

        public Criteria andReserveFundcEqualTo(BigDecimal value) {
            addCriterion("reserve_fundC =", value, "reserveFundc");
            return (Criteria) this;
        }

        public Criteria andReserveFundcNotEqualTo(BigDecimal value) {
            addCriterion("reserve_fundC <>", value, "reserveFundc");
            return (Criteria) this;
        }

        public Criteria andReserveFundcGreaterThan(BigDecimal value) {
            addCriterion("reserve_fundC >", value, "reserveFundc");
            return (Criteria) this;
        }

        public Criteria andReserveFundcGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("reserve_fundC >=", value, "reserveFundc");
            return (Criteria) this;
        }

        public Criteria andReserveFundcLessThan(BigDecimal value) {
            addCriterion("reserve_fundC <", value, "reserveFundc");
            return (Criteria) this;
        }

        public Criteria andReserveFundcLessThanOrEqualTo(BigDecimal value) {
            addCriterion("reserve_fundC <=", value, "reserveFundc");
            return (Criteria) this;
        }

        public Criteria andReserveFundcIn(List<BigDecimal> values) {
            addCriterion("reserve_fundC in", values, "reserveFundc");
            return (Criteria) this;
        }

        public Criteria andReserveFundcNotIn(List<BigDecimal> values) {
            addCriterion("reserve_fundC not in", values, "reserveFundc");
            return (Criteria) this;
        }

        public Criteria andReserveFundcBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("reserve_fundC between", value1, value2, "reserveFundc");
            return (Criteria) this;
        }

        public Criteria andReserveFundcNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("reserve_fundC not between", value1, value2, "reserveFundc");
            return (Criteria) this;
        }

        public Criteria andEduAmountbIsNull() {
            addCriterion("edu_amountB is null");
            return (Criteria) this;
        }

        public Criteria andEduAmountbIsNotNull() {
            addCriterion("edu_amountB is not null");
            return (Criteria) this;
        }

        public Criteria andEduAmountbEqualTo(BigDecimal value) {
            addCriterion("edu_amountB =", value, "eduAmountb");
            return (Criteria) this;
        }

        public Criteria andEduAmountbNotEqualTo(BigDecimal value) {
            addCriterion("edu_amountB <>", value, "eduAmountb");
            return (Criteria) this;
        }

        public Criteria andEduAmountbGreaterThan(BigDecimal value) {
            addCriterion("edu_amountB >", value, "eduAmountb");
            return (Criteria) this;
        }

        public Criteria andEduAmountbGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("edu_amountB >=", value, "eduAmountb");
            return (Criteria) this;
        }

        public Criteria andEduAmountbLessThan(BigDecimal value) {
            addCriterion("edu_amountB <", value, "eduAmountb");
            return (Criteria) this;
        }

        public Criteria andEduAmountbLessThanOrEqualTo(BigDecimal value) {
            addCriterion("edu_amountB <=", value, "eduAmountb");
            return (Criteria) this;
        }

        public Criteria andEduAmountbIn(List<BigDecimal> values) {
            addCriterion("edu_amountB in", values, "eduAmountb");
            return (Criteria) this;
        }

        public Criteria andEduAmountbNotIn(List<BigDecimal> values) {
            addCriterion("edu_amountB not in", values, "eduAmountb");
            return (Criteria) this;
        }

        public Criteria andEduAmountbBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("edu_amountB between", value1, value2, "eduAmountb");
            return (Criteria) this;
        }

        public Criteria andEduAmountbNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("edu_amountB not between", value1, value2, "eduAmountb");
            return (Criteria) this;
        }

        public Criteria andEduAmountcIsNull() {
            addCriterion("edu_amountC is null");
            return (Criteria) this;
        }

        public Criteria andEduAmountcIsNotNull() {
            addCriterion("edu_amountC is not null");
            return (Criteria) this;
        }

        public Criteria andEduAmountcEqualTo(BigDecimal value) {
            addCriterion("edu_amountC =", value, "eduAmountc");
            return (Criteria) this;
        }

        public Criteria andEduAmountcNotEqualTo(BigDecimal value) {
            addCriterion("edu_amountC <>", value, "eduAmountc");
            return (Criteria) this;
        }

        public Criteria andEduAmountcGreaterThan(BigDecimal value) {
            addCriterion("edu_amountC >", value, "eduAmountc");
            return (Criteria) this;
        }

        public Criteria andEduAmountcGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("edu_amountC >=", value, "eduAmountc");
            return (Criteria) this;
        }

        public Criteria andEduAmountcLessThan(BigDecimal value) {
            addCriterion("edu_amountC <", value, "eduAmountc");
            return (Criteria) this;
        }

        public Criteria andEduAmountcLessThanOrEqualTo(BigDecimal value) {
            addCriterion("edu_amountC <=", value, "eduAmountc");
            return (Criteria) this;
        }

        public Criteria andEduAmountcIn(List<BigDecimal> values) {
            addCriterion("edu_amountC in", values, "eduAmountc");
            return (Criteria) this;
        }

        public Criteria andEduAmountcNotIn(List<BigDecimal> values) {
            addCriterion("edu_amountC not in", values, "eduAmountc");
            return (Criteria) this;
        }

        public Criteria andEduAmountcBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("edu_amountC between", value1, value2, "eduAmountc");
            return (Criteria) this;
        }

        public Criteria andEduAmountcNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("edu_amountC not between", value1, value2, "eduAmountc");
            return (Criteria) this;
        }

        public Criteria andPensionFundsbIsNull() {
            addCriterion("pension_fundsB is null");
            return (Criteria) this;
        }

        public Criteria andPensionFundsbIsNotNull() {
            addCriterion("pension_fundsB is not null");
            return (Criteria) this;
        }

        public Criteria andPensionFundsbEqualTo(BigDecimal value) {
            addCriterion("pension_fundsB =", value, "pensionFundsb");
            return (Criteria) this;
        }

        public Criteria andPensionFundsbNotEqualTo(BigDecimal value) {
            addCriterion("pension_fundsB <>", value, "pensionFundsb");
            return (Criteria) this;
        }

        public Criteria andPensionFundsbGreaterThan(BigDecimal value) {
            addCriterion("pension_fundsB >", value, "pensionFundsb");
            return (Criteria) this;
        }

        public Criteria andPensionFundsbGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("pension_fundsB >=", value, "pensionFundsb");
            return (Criteria) this;
        }

        public Criteria andPensionFundsbLessThan(BigDecimal value) {
            addCriterion("pension_fundsB <", value, "pensionFundsb");
            return (Criteria) this;
        }

        public Criteria andPensionFundsbLessThanOrEqualTo(BigDecimal value) {
            addCriterion("pension_fundsB <=", value, "pensionFundsb");
            return (Criteria) this;
        }

        public Criteria andPensionFundsbIn(List<BigDecimal> values) {
            addCriterion("pension_fundsB in", values, "pensionFundsb");
            return (Criteria) this;
        }

        public Criteria andPensionFundsbNotIn(List<BigDecimal> values) {
            addCriterion("pension_fundsB not in", values, "pensionFundsb");
            return (Criteria) this;
        }

        public Criteria andPensionFundsbBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("pension_fundsB between", value1, value2, "pensionFundsb");
            return (Criteria) this;
        }

        public Criteria andPensionFundsbNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("pension_fundsB not between", value1, value2, "pensionFundsb");
            return (Criteria) this;
        }

        public Criteria andPensionFundscIsNull() {
            addCriterion("pension_fundsC is null");
            return (Criteria) this;
        }

        public Criteria andPensionFundscIsNotNull() {
            addCriterion("pension_fundsC is not null");
            return (Criteria) this;
        }

        public Criteria andPensionFundscEqualTo(BigDecimal value) {
            addCriterion("pension_fundsC =", value, "pensionFundsc");
            return (Criteria) this;
        }

        public Criteria andPensionFundscNotEqualTo(BigDecimal value) {
            addCriterion("pension_fundsC <>", value, "pensionFundsc");
            return (Criteria) this;
        }

        public Criteria andPensionFundscGreaterThan(BigDecimal value) {
            addCriterion("pension_fundsC >", value, "pensionFundsc");
            return (Criteria) this;
        }

        public Criteria andPensionFundscGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("pension_fundsC >=", value, "pensionFundsc");
            return (Criteria) this;
        }

        public Criteria andPensionFundscLessThan(BigDecimal value) {
            addCriterion("pension_fundsC <", value, "pensionFundsc");
            return (Criteria) this;
        }

        public Criteria andPensionFundscLessThanOrEqualTo(BigDecimal value) {
            addCriterion("pension_fundsC <=", value, "pensionFundsc");
            return (Criteria) this;
        }

        public Criteria andPensionFundscIn(List<BigDecimal> values) {
            addCriterion("pension_fundsC in", values, "pensionFundsc");
            return (Criteria) this;
        }

        public Criteria andPensionFundscNotIn(List<BigDecimal> values) {
            addCriterion("pension_fundsC not in", values, "pensionFundsc");
            return (Criteria) this;
        }

        public Criteria andPensionFundscBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("pension_fundsC between", value1, value2, "pensionFundsc");
            return (Criteria) this;
        }

        public Criteria andPensionFundscNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("pension_fundsC not between", value1, value2, "pensionFundsc");
            return (Criteria) this;
        }

        public Criteria andDeathExpensebIsNull() {
            addCriterion("death_expenseB is null");
            return (Criteria) this;
        }

        public Criteria andDeathExpensebIsNotNull() {
            addCriterion("death_expenseB is not null");
            return (Criteria) this;
        }

        public Criteria andDeathExpensebEqualTo(BigDecimal value) {
            addCriterion("death_expenseB =", value, "deathExpenseb");
            return (Criteria) this;
        }

        public Criteria andDeathExpensebNotEqualTo(BigDecimal value) {
            addCriterion("death_expenseB <>", value, "deathExpenseb");
            return (Criteria) this;
        }

        public Criteria andDeathExpensebGreaterThan(BigDecimal value) {
            addCriterion("death_expenseB >", value, "deathExpenseb");
            return (Criteria) this;
        }

        public Criteria andDeathExpensebGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("death_expenseB >=", value, "deathExpenseb");
            return (Criteria) this;
        }

        public Criteria andDeathExpensebLessThan(BigDecimal value) {
            addCriterion("death_expenseB <", value, "deathExpenseb");
            return (Criteria) this;
        }

        public Criteria andDeathExpensebLessThanOrEqualTo(BigDecimal value) {
            addCriterion("death_expenseB <=", value, "deathExpenseb");
            return (Criteria) this;
        }

        public Criteria andDeathExpensebIn(List<BigDecimal> values) {
            addCriterion("death_expenseB in", values, "deathExpenseb");
            return (Criteria) this;
        }

        public Criteria andDeathExpensebNotIn(List<BigDecimal> values) {
            addCriterion("death_expenseB not in", values, "deathExpenseb");
            return (Criteria) this;
        }

        public Criteria andDeathExpensebBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("death_expenseB between", value1, value2, "deathExpenseb");
            return (Criteria) this;
        }

        public Criteria andDeathExpensebNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("death_expenseB not between", value1, value2, "deathExpenseb");
            return (Criteria) this;
        }

        public Criteria andDeathExpensecIsNull() {
            addCriterion("death_expenseC is null");
            return (Criteria) this;
        }

        public Criteria andDeathExpensecIsNotNull() {
            addCriterion("death_expenseC is not null");
            return (Criteria) this;
        }

        public Criteria andDeathExpensecEqualTo(BigDecimal value) {
            addCriterion("death_expenseC =", value, "deathExpensec");
            return (Criteria) this;
        }

        public Criteria andDeathExpensecNotEqualTo(BigDecimal value) {
            addCriterion("death_expenseC <>", value, "deathExpensec");
            return (Criteria) this;
        }

        public Criteria andDeathExpensecGreaterThan(BigDecimal value) {
            addCriterion("death_expenseC >", value, "deathExpensec");
            return (Criteria) this;
        }

        public Criteria andDeathExpensecGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("death_expenseC >=", value, "deathExpensec");
            return (Criteria) this;
        }

        public Criteria andDeathExpensecLessThan(BigDecimal value) {
            addCriterion("death_expenseC <", value, "deathExpensec");
            return (Criteria) this;
        }

        public Criteria andDeathExpensecLessThanOrEqualTo(BigDecimal value) {
            addCriterion("death_expenseC <=", value, "deathExpensec");
            return (Criteria) this;
        }

        public Criteria andDeathExpensecIn(List<BigDecimal> values) {
            addCriterion("death_expenseC in", values, "deathExpensec");
            return (Criteria) this;
        }

        public Criteria andDeathExpensecNotIn(List<BigDecimal> values) {
            addCriterion("death_expenseC not in", values, "deathExpensec");
            return (Criteria) this;
        }

        public Criteria andDeathExpensecBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("death_expenseC between", value1, value2, "deathExpensec");
            return (Criteria) this;
        }

        public Criteria andDeathExpensecNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("death_expenseC not between", value1, value2, "deathExpensec");
            return (Criteria) this;
        }

        public Criteria andLoanBalancebIsNull() {
            addCriterion("loan_balanceB is null");
            return (Criteria) this;
        }

        public Criteria andLoanBalancebIsNotNull() {
            addCriterion("loan_balanceB is not null");
            return (Criteria) this;
        }

        public Criteria andLoanBalancebEqualTo(BigDecimal value) {
            addCriterion("loan_balanceB =", value, "loanBalanceb");
            return (Criteria) this;
        }

        public Criteria andLoanBalancebNotEqualTo(BigDecimal value) {
            addCriterion("loan_balanceB <>", value, "loanBalanceb");
            return (Criteria) this;
        }

        public Criteria andLoanBalancebGreaterThan(BigDecimal value) {
            addCriterion("loan_balanceB >", value, "loanBalanceb");
            return (Criteria) this;
        }

        public Criteria andLoanBalancebGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("loan_balanceB >=", value, "loanBalanceb");
            return (Criteria) this;
        }

        public Criteria andLoanBalancebLessThan(BigDecimal value) {
            addCriterion("loan_balanceB <", value, "loanBalanceb");
            return (Criteria) this;
        }

        public Criteria andLoanBalancebLessThanOrEqualTo(BigDecimal value) {
            addCriterion("loan_balanceB <=", value, "loanBalanceb");
            return (Criteria) this;
        }

        public Criteria andLoanBalancebIn(List<BigDecimal> values) {
            addCriterion("loan_balanceB in", values, "loanBalanceb");
            return (Criteria) this;
        }

        public Criteria andLoanBalancebNotIn(List<BigDecimal> values) {
            addCriterion("loan_balanceB not in", values, "loanBalanceb");
            return (Criteria) this;
        }

        public Criteria andLoanBalancebBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("loan_balanceB between", value1, value2, "loanBalanceb");
            return (Criteria) this;
        }

        public Criteria andLoanBalancebNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("loan_balanceB not between", value1, value2, "loanBalanceb");
            return (Criteria) this;
        }

        public Criteria andLoanBalancecIsNull() {
            addCriterion("loan_balanceC is null");
            return (Criteria) this;
        }

        public Criteria andLoanBalancecIsNotNull() {
            addCriterion("loan_balanceC is not null");
            return (Criteria) this;
        }

        public Criteria andLoanBalancecEqualTo(BigDecimal value) {
            addCriterion("loan_balanceC =", value, "loanBalancec");
            return (Criteria) this;
        }

        public Criteria andLoanBalancecNotEqualTo(BigDecimal value) {
            addCriterion("loan_balanceC <>", value, "loanBalancec");
            return (Criteria) this;
        }

        public Criteria andLoanBalancecGreaterThan(BigDecimal value) {
            addCriterion("loan_balanceC >", value, "loanBalancec");
            return (Criteria) this;
        }

        public Criteria andLoanBalancecGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("loan_balanceC >=", value, "loanBalancec");
            return (Criteria) this;
        }

        public Criteria andLoanBalancecLessThan(BigDecimal value) {
            addCriterion("loan_balanceC <", value, "loanBalancec");
            return (Criteria) this;
        }

        public Criteria andLoanBalancecLessThanOrEqualTo(BigDecimal value) {
            addCriterion("loan_balanceC <=", value, "loanBalancec");
            return (Criteria) this;
        }

        public Criteria andLoanBalancecIn(List<BigDecimal> values) {
            addCriterion("loan_balanceC in", values, "loanBalancec");
            return (Criteria) this;
        }

        public Criteria andLoanBalancecNotIn(List<BigDecimal> values) {
            addCriterion("loan_balanceC not in", values, "loanBalancec");
            return (Criteria) this;
        }

        public Criteria andLoanBalancecBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("loan_balanceC between", value1, value2, "loanBalancec");
            return (Criteria) this;
        }

        public Criteria andLoanBalancecNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("loan_balanceC not between", value1, value2, "loanBalancec");
            return (Criteria) this;
        }

        public Criteria andEarningAssetsbIsNull() {
            addCriterion("earning_assetsB is null");
            return (Criteria) this;
        }

        public Criteria andEarningAssetsbIsNotNull() {
            addCriterion("earning_assetsB is not null");
            return (Criteria) this;
        }

        public Criteria andEarningAssetsbEqualTo(BigDecimal value) {
            addCriterion("earning_assetsB =", value, "earningAssetsb");
            return (Criteria) this;
        }

        public Criteria andEarningAssetsbNotEqualTo(BigDecimal value) {
            addCriterion("earning_assetsB <>", value, "earningAssetsb");
            return (Criteria) this;
        }

        public Criteria andEarningAssetsbGreaterThan(BigDecimal value) {
            addCriterion("earning_assetsB >", value, "earningAssetsb");
            return (Criteria) this;
        }

        public Criteria andEarningAssetsbGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("earning_assetsB >=", value, "earningAssetsb");
            return (Criteria) this;
        }

        public Criteria andEarningAssetsbLessThan(BigDecimal value) {
            addCriterion("earning_assetsB <", value, "earningAssetsb");
            return (Criteria) this;
        }

        public Criteria andEarningAssetsbLessThanOrEqualTo(BigDecimal value) {
            addCriterion("earning_assetsB <=", value, "earningAssetsb");
            return (Criteria) this;
        }

        public Criteria andEarningAssetsbIn(List<BigDecimal> values) {
            addCriterion("earning_assetsB in", values, "earningAssetsb");
            return (Criteria) this;
        }

        public Criteria andEarningAssetsbNotIn(List<BigDecimal> values) {
            addCriterion("earning_assetsB not in", values, "earningAssetsb");
            return (Criteria) this;
        }

        public Criteria andEarningAssetsbBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("earning_assetsB between", value1, value2, "earningAssetsb");
            return (Criteria) this;
        }

        public Criteria andEarningAssetsbNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("earning_assetsB not between", value1, value2, "earningAssetsb");
            return (Criteria) this;
        }

        public Criteria andEarningAssetscIsNull() {
            addCriterion("earning_assetsC is null");
            return (Criteria) this;
        }

        public Criteria andEarningAssetscIsNotNull() {
            addCriterion("earning_assetsC is not null");
            return (Criteria) this;
        }

        public Criteria andEarningAssetscEqualTo(BigDecimal value) {
            addCriterion("earning_assetsC =", value, "earningAssetsc");
            return (Criteria) this;
        }

        public Criteria andEarningAssetscNotEqualTo(BigDecimal value) {
            addCriterion("earning_assetsC <>", value, "earningAssetsc");
            return (Criteria) this;
        }

        public Criteria andEarningAssetscGreaterThan(BigDecimal value) {
            addCriterion("earning_assetsC >", value, "earningAssetsc");
            return (Criteria) this;
        }

        public Criteria andEarningAssetscGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("earning_assetsC >=", value, "earningAssetsc");
            return (Criteria) this;
        }

        public Criteria andEarningAssetscLessThan(BigDecimal value) {
            addCriterion("earning_assetsC <", value, "earningAssetsc");
            return (Criteria) this;
        }

        public Criteria andEarningAssetscLessThanOrEqualTo(BigDecimal value) {
            addCriterion("earning_assetsC <=", value, "earningAssetsc");
            return (Criteria) this;
        }

        public Criteria andEarningAssetscIn(List<BigDecimal> values) {
            addCriterion("earning_assetsC in", values, "earningAssetsc");
            return (Criteria) this;
        }

        public Criteria andEarningAssetscNotIn(List<BigDecimal> values) {
            addCriterion("earning_assetsC not in", values, "earningAssetsc");
            return (Criteria) this;
        }

        public Criteria andEarningAssetscBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("earning_assetsC between", value1, value2, "earningAssetsc");
            return (Criteria) this;
        }

        public Criteria andEarningAssetscNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("earning_assetsC not between", value1, value2, "earningAssetsc");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountbIsNull() {
            addCriterion("insurance_amountB is null");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountbIsNotNull() {
            addCriterion("insurance_amountB is not null");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountbEqualTo(BigDecimal value) {
            addCriterion("insurance_amountB =", value, "insuranceAmountb");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountbNotEqualTo(BigDecimal value) {
            addCriterion("insurance_amountB <>", value, "insuranceAmountb");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountbGreaterThan(BigDecimal value) {
            addCriterion("insurance_amountB >", value, "insuranceAmountb");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountbGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("insurance_amountB >=", value, "insuranceAmountb");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountbLessThan(BigDecimal value) {
            addCriterion("insurance_amountB <", value, "insuranceAmountb");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountbLessThanOrEqualTo(BigDecimal value) {
            addCriterion("insurance_amountB <=", value, "insuranceAmountb");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountbIn(List<BigDecimal> values) {
            addCriterion("insurance_amountB in", values, "insuranceAmountb");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountbNotIn(List<BigDecimal> values) {
            addCriterion("insurance_amountB not in", values, "insuranceAmountb");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountbBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("insurance_amountB between", value1, value2, "insuranceAmountb");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountbNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("insurance_amountB not between", value1, value2, "insuranceAmountb");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountcIsNull() {
            addCriterion("insurance_amountC is null");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountcIsNotNull() {
            addCriterion("insurance_amountC is not null");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountcEqualTo(BigDecimal value) {
            addCriterion("insurance_amountC =", value, "insuranceAmountc");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountcNotEqualTo(BigDecimal value) {
            addCriterion("insurance_amountC <>", value, "insuranceAmountc");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountcGreaterThan(BigDecimal value) {
            addCriterion("insurance_amountC >", value, "insuranceAmountc");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountcGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("insurance_amountC >=", value, "insuranceAmountc");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountcLessThan(BigDecimal value) {
            addCriterion("insurance_amountC <", value, "insuranceAmountc");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountcLessThanOrEqualTo(BigDecimal value) {
            addCriterion("insurance_amountC <=", value, "insuranceAmountc");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountcIn(List<BigDecimal> values) {
            addCriterion("insurance_amountC in", values, "insuranceAmountc");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountcNotIn(List<BigDecimal> values) {
            addCriterion("insurance_amountC not in", values, "insuranceAmountc");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountcBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("insurance_amountC between", value1, value2, "insuranceAmountc");
            return (Criteria) this;
        }

        public Criteria andInsuranceAmountcNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("insurance_amountC not between", value1, value2, "insuranceAmountc");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountbIsNull() {
            addCriterion("budget_amountB is null");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountbIsNotNull() {
            addCriterion("budget_amountB is not null");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountbEqualTo(BigDecimal value) {
            addCriterion("budget_amountB =", value, "budgetAmountb");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountbNotEqualTo(BigDecimal value) {
            addCriterion("budget_amountB <>", value, "budgetAmountb");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountbGreaterThan(BigDecimal value) {
            addCriterion("budget_amountB >", value, "budgetAmountb");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountbGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("budget_amountB >=", value, "budgetAmountb");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountbLessThan(BigDecimal value) {
            addCriterion("budget_amountB <", value, "budgetAmountb");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountbLessThanOrEqualTo(BigDecimal value) {
            addCriterion("budget_amountB <=", value, "budgetAmountb");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountbIn(List<BigDecimal> values) {
            addCriterion("budget_amountB in", values, "budgetAmountb");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountbNotIn(List<BigDecimal> values) {
            addCriterion("budget_amountB not in", values, "budgetAmountb");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountbBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("budget_amountB between", value1, value2, "budgetAmountb");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountbNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("budget_amountB not between", value1, value2, "budgetAmountb");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountcIsNull() {
            addCriterion("budget_amountC is null");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountcIsNotNull() {
            addCriterion("budget_amountC is not null");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountcEqualTo(BigDecimal value) {
            addCriterion("budget_amountC =", value, "budgetAmountc");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountcNotEqualTo(BigDecimal value) {
            addCriterion("budget_amountC <>", value, "budgetAmountc");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountcGreaterThan(BigDecimal value) {
            addCriterion("budget_amountC >", value, "budgetAmountc");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountcGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("budget_amountC >=", value, "budgetAmountc");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountcLessThan(BigDecimal value) {
            addCriterion("budget_amountC <", value, "budgetAmountc");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountcLessThanOrEqualTo(BigDecimal value) {
            addCriterion("budget_amountC <=", value, "budgetAmountc");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountcIn(List<BigDecimal> values) {
            addCriterion("budget_amountC in", values, "budgetAmountc");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountcNotIn(List<BigDecimal> values) {
            addCriterion("budget_amountC not in", values, "budgetAmountc");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountcBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("budget_amountC between", value1, value2, "budgetAmountc");
            return (Criteria) this;
        }

        public Criteria andBudgetAmountcNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("budget_amountC not between", value1, value2, "budgetAmountc");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotabIsNull() {
            addCriterion("supplementary_quotaB is null");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotabIsNotNull() {
            addCriterion("supplementary_quotaB is not null");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotabEqualTo(BigDecimal value) {
            addCriterion("supplementary_quotaB =", value, "supplementaryQuotab");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotabNotEqualTo(BigDecimal value) {
            addCriterion("supplementary_quotaB <>", value, "supplementaryQuotab");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotabGreaterThan(BigDecimal value) {
            addCriterion("supplementary_quotaB >", value, "supplementaryQuotab");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotabGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("supplementary_quotaB >=", value, "supplementaryQuotab");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotabLessThan(BigDecimal value) {
            addCriterion("supplementary_quotaB <", value, "supplementaryQuotab");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotabLessThanOrEqualTo(BigDecimal value) {
            addCriterion("supplementary_quotaB <=", value, "supplementaryQuotab");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotabIn(List<BigDecimal> values) {
            addCriterion("supplementary_quotaB in", values, "supplementaryQuotab");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotabNotIn(List<BigDecimal> values) {
            addCriterion("supplementary_quotaB not in", values, "supplementaryQuotab");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotabBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("supplementary_quotaB between", value1, value2, "supplementaryQuotab");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotabNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("supplementary_quotaB not between", value1, value2, "supplementaryQuotab");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotacIsNull() {
            addCriterion("supplementary_quotaC is null");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotacIsNotNull() {
            addCriterion("supplementary_quotaC is not null");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotacEqualTo(BigDecimal value) {
            addCriterion("supplementary_quotaC =", value, "supplementaryQuotac");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotacNotEqualTo(BigDecimal value) {
            addCriterion("supplementary_quotaC <>", value, "supplementaryQuotac");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotacGreaterThan(BigDecimal value) {
            addCriterion("supplementary_quotaC >", value, "supplementaryQuotac");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotacGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("supplementary_quotaC >=", value, "supplementaryQuotac");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotacLessThan(BigDecimal value) {
            addCriterion("supplementary_quotaC <", value, "supplementaryQuotac");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotacLessThanOrEqualTo(BigDecimal value) {
            addCriterion("supplementary_quotaC <=", value, "supplementaryQuotac");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotacIn(List<BigDecimal> values) {
            addCriterion("supplementary_quotaC in", values, "supplementaryQuotac");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotacNotIn(List<BigDecimal> values) {
            addCriterion("supplementary_quotaC not in", values, "supplementaryQuotac");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotacBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("supplementary_quotaC between", value1, value2, "supplementaryQuotac");
            return (Criteria) this;
        }

        public Criteria andSupplementaryQuotacNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("supplementary_quotaC not between", value1, value2, "supplementaryQuotac");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNull() {
            addCriterion("user_id is null");
            return (Criteria) this;
        }

        public Criteria andUserIdIsNotNull() {
            addCriterion("user_id is not null");
            return (Criteria) this;
        }

        public Criteria andUserIdEqualTo(String value) {
            addCriterion("user_id =", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotEqualTo(String value) {
            addCriterion("user_id <>", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThan(String value) {
            addCriterion("user_id >", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdGreaterThanOrEqualTo(String value) {
            addCriterion("user_id >=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThan(String value) {
            addCriterion("user_id <", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLessThanOrEqualTo(String value) {
            addCriterion("user_id <=", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdLike(String value) {
            addCriterion("user_id like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotLike(String value) {
            addCriterion("user_id not like", value, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdIn(List<String> values) {
            addCriterion("user_id in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotIn(List<String> values) {
            addCriterion("user_id not in", values, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdBetween(String value1, String value2) {
            addCriterion("user_id between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andUserIdNotBetween(String value1, String value2) {
            addCriterion("user_id not between", value1, value2, "userId");
            return (Criteria) this;
        }

        public Criteria andIsAnswerIsNull() {
            addCriterion("is_answer is null");
            return (Criteria) this;
        }

        public Criteria andIsAnswerIsNotNull() {
            addCriterion("is_answer is not null");
            return (Criteria) this;
        }

        public Criteria andIsAnswerEqualTo(String value) {
            addCriterion("is_answer =", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotEqualTo(String value) {
            addCriterion("is_answer <>", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerGreaterThan(String value) {
            addCriterion("is_answer >", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerGreaterThanOrEqualTo(String value) {
            addCriterion("is_answer >=", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerLessThan(String value) {
            addCriterion("is_answer <", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerLessThanOrEqualTo(String value) {
            addCriterion("is_answer <=", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerLike(String value) {
            addCriterion("is_answer like", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotLike(String value) {
            addCriterion("is_answer not like", value, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerIn(List<String> values) {
            addCriterion("is_answer in", values, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotIn(List<String> values) {
            addCriterion("is_answer not in", values, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerBetween(String value1, String value2) {
            addCriterion("is_answer between", value1, value2, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andIsAnswerNotBetween(String value1, String value2) {
            addCriterion("is_answer not between", value1, value2, "isAnswer");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreIsNull() {
            addCriterion("analysis_teacher_score is null");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreIsNotNull() {
            addCriterion("analysis_teacher_score is not null");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreEqualTo(BigDecimal value) {
            addCriterion("analysis_teacher_score =", value, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreNotEqualTo(BigDecimal value) {
            addCriterion("analysis_teacher_score <>", value, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreGreaterThan(BigDecimal value) {
            addCriterion("analysis_teacher_score >", value, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreGreaterThanOrEqualTo(BigDecimal value) {
            addCriterion("analysis_teacher_score >=", value, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreLessThan(BigDecimal value) {
            addCriterion("analysis_teacher_score <", value, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreLessThanOrEqualTo(BigDecimal value) {
            addCriterion("analysis_teacher_score <=", value, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreIn(List<BigDecimal> values) {
            addCriterion("analysis_teacher_score in", values, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreNotIn(List<BigDecimal> values) {
            addCriterion("analysis_teacher_score not in", values, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("analysis_teacher_score between", value1, value2, "analysisTeacherScore");
            return (Criteria) this;
        }

        public Criteria andAnalysisTeacherScoreNotBetween(BigDecimal value1, BigDecimal value2) {
            addCriterion("analysis_teacher_score not between", value1, value2, "analysisTeacherScore");
            return (Criteria) this;
        }
    }

    public static class Criteria extends GeneratedCriteria {
        protected Criteria() {
            super();
        }
    }

    public static class Criterion {
        private String condition;

        private Object value;

        private Object secondValue;

        private boolean noValue;

        private boolean singleValue;

        private boolean betweenValue;

        private boolean listValue;

        private String typeHandler;

        public String getCondition() {
            return condition;
        }

        public Object getValue() {
            return value;
        }

        public Object getSecondValue() {
            return secondValue;
        }

        public boolean isNoValue() {
            return noValue;
        }

        public boolean isSingleValue() {
            return singleValue;
        }

        public boolean isBetweenValue() {
            return betweenValue;
        }

        public boolean isListValue() {
            return listValue;
        }

        public String getTypeHandler() {
            return typeHandler;
        }

        protected Criterion(String condition) {
            super();
            this.condition = condition;
            this.typeHandler = null;
            this.noValue = true;
        }

        protected Criterion(String condition, Object value, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.typeHandler = typeHandler;
            if (value instanceof List<?>) {
                this.listValue = true;
            } else {
                this.singleValue = true;
            }
        }

        protected Criterion(String condition, Object value) {
            this(condition, value, null);
        }

        protected Criterion(String condition, Object value, Object secondValue, String typeHandler) {
            super();
            this.condition = condition;
            this.value = value;
            this.secondValue = secondValue;
            this.typeHandler = typeHandler;
            this.betweenValue = true;
        }

        protected Criterion(String condition, Object value, Object secondValue) {
            this(condition, value, secondValue, null);
        }
    }
}