package com.sztzjy.money_management.entity;

import java.math.BigDecimal;
import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
/**
 * 投资规划-实物黄金信息表
 *
 * @author xcj
 * case_investment_plan_real_gold_productinfo
 */
public class CaseInvestmentPlanRealGoldProductInfo {
    @ApiModelProperty("实物黄金信息ID")
    private String realGoldProductinfoId;

    @ApiModelProperty("产品选择ID")
    private String productSelectId;

    @ApiModelProperty("所属层级（基础层/保值层）")
    private String level;

    @ApiModelProperty("实物黄金ID")
    private String realGoldProductId;

    @ApiModelProperty("购买方式")
    private String purchaseMethod;

    @ApiModelProperty("投资总额")
    private BigDecimal investmentAmount;

    @ApiModelProperty("定期间隔")
    private String periodInterval;

    @ApiModelProperty("初次扣款日")
    private Date firstDeductionDate;

    @ApiModelProperty("每期金额")
    private BigDecimal eachPeriodAmount;

    @ApiModelProperty("投资年限")
    private BigDecimal investmentYears;

    @ApiModelProperty("添加时间")
    private Date addTime;

    public String getRealGoldProductinfoId() {
        return realGoldProductinfoId;
    }

    public void setRealGoldProductinfoId(String realGoldProductinfoId) {
        this.realGoldProductinfoId = realGoldProductinfoId == null ? null : realGoldProductinfoId.trim();
    }

    public String getProductSelectId() {
        return productSelectId;
    }

    public void setProductSelectId(String productSelectId) {
        this.productSelectId = productSelectId == null ? null : productSelectId.trim();
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level == null ? null : level.trim();
    }

    public String getRealGoldProductId() {
        return realGoldProductId;
    }

    public void setRealGoldProductId(String realGoldProductId) {
        this.realGoldProductId = realGoldProductId == null ? null : realGoldProductId.trim();
    }

    public String getPurchaseMethod() {
        return purchaseMethod;
    }

    public void setPurchaseMethod(String purchaseMethod) {
        this.purchaseMethod = purchaseMethod == null ? null : purchaseMethod.trim();
    }

    public BigDecimal getInvestmentAmount() {
        return investmentAmount;
    }

    public void setInvestmentAmount(BigDecimal investmentAmount) {
        this.investmentAmount = investmentAmount;
    }

    public String getPeriodInterval() {
        return periodInterval;
    }

    public void setPeriodInterval(String periodInterval) {
        this.periodInterval = periodInterval == null ? null : periodInterval.trim();
    }

    public Date getFirstDeductionDate() {
        return firstDeductionDate;
    }

    public void setFirstDeductionDate(Date firstDeductionDate) {
        this.firstDeductionDate = firstDeductionDate;
    }

    public BigDecimal getEachPeriodAmount() {
        return eachPeriodAmount;
    }

    public void setEachPeriodAmount(BigDecimal eachPeriodAmount) {
        this.eachPeriodAmount = eachPeriodAmount;
    }

    public BigDecimal getInvestmentYears() {
        return investmentYears;
    }

    public void setInvestmentYears(BigDecimal investmentYears) {
        this.investmentYears = investmentYears;
    }

    public Date getAddTime() {
        return addTime;
    }

    public void setAddTime(Date addTime) {
        this.addTime = addTime;
    }
}