package com.sztzjy.money_management.entity.dto;

import com.sztzjy.money_management.entity.*;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @Author xcj
 * @Date 2024/8/30
 */
@Data
public class CaseInvestmentPlanSelectDto {
    @ApiModelProperty("案例-投资规划-产品选择表")
    private CaseInvestmentPlanSelect caseInvestmentPlanSelect;
    //其余表
    @ApiModelProperty("投资规划-银行储蓄信息表")
    private List<CaseInvestmentPlanBankProductInfo> investmentPlanBankProductInfos;
    @ApiModelProperty("投资规划-基金产品信息表")
    private List<CaseInvestmentPlanFundProductInfo> investmentPlanFundProductInfos;
    @ApiModelProperty("投资规划-保险产品信息表")
    private List<CaseInvestmentPlanInsuranceProductInfo> investmentPlanInsuranceProductInfos;
    @ApiModelProperty("投资规划-P2P产品信息表")
    private List<CaseInvestmentPlanP2PProductInfo> investmentPlanP2PProductInfos;
    @ApiModelProperty("投资规划-实物黄金信息表")
    private List<CaseInvestmentPlanRealGoldProductInfo> investmentPlanRealGoldProductInfos;
}

