package com.sztzjy.money_management.service.impl;

import com.sztzjy.money_management.entity.UserInfo;
import com.sztzjy.money_management.entity.UserInfoExample;
import com.sztzjy.money_management.mapper.UserInfoMapper;
import com.sztzjy.money_management.service.UserInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Service
public class UserInfoServiceImpl implements UserInfoService {
    @Autowired
    UserInfoMapper userInfoMapper;

    @Override
    public Map<String, String> getClassMap(String schoolId) {
        Map<String,String> map=new HashMap<>();
        UserInfoExample userInfoExample = new UserInfoExample();
        userInfoExample.createCriteria().andSchoolIdEqualTo(schoolId).andRoleIdEqualTo(4).andLoginTimeIsNotNull();
        List<UserInfo> userInfos = userInfoMapper.selectByExample(userInfoExample);
        for (int i = 0; i < userInfos.size(); i++) {
            UserInfo userInfo = userInfos.get(i);
            map.put(userInfo.getClassId(),userInfo.getClassName());
        }
        return map;
    }

    @Override
    public List<String> getClassNameList(String schoolId) {
//        List list=new ArrayList();
//        UserInfoExample userInfoExample = new UserInfoExample();
//        userInfoExample.createCriteria().andSchoolIdEqualTo(schoolId).andRoleIdEqualTo(4).andLoginTimeIsNotNull();
//        userInfoExample.setDistinct(true);
//        List<UserInfo> userInfos = userInfoMapper.selectByExample(userInfoExample);
        List<String> list = userInfoMapper.selectClassNameBySchoolIdAndLoginTimeNotNull(schoolId);
//        for (int i = 0; i < userInfos.size(); i++) {
//            UserInfo userInfo = userInfos.get(i);
//            list.add(userInfo.getClassName());
//        }
        return list;
    }
}
